events.listen('item.registry', function (e) {
	e.create('unstable_endershard').displayName('§6Unstable Ender Shard').tooltip('§eTeleports the player to a random position').unstackable()
	
	e.create('claw').displayName('Claw').tooltip('§cDrop from Hidebehind')
	
	e.create('golem_summoner').displayName('§dGolem Summoner').tooltip('§eSummons a random golem').tooltip('§9§oOnly works in the Overworld').unstackable().glow(true)
	
	e.create('uninspiring_rainbow_chunk').displayName('Rainbow Gem').glow(true)
	
	e.create('diorite_alloy').displayName('Diorite Alloy')
	
	e.create('affixgear2').displayName('§7Uncommon Loot Bag')
	e.create('affixgear3').displayName('§aRare Loot Bag')
	e.create('affixgear4').displayName('§9Epic Loot Bag')
	e.create('affixgear5').displayName('§cMythic Loot Bag').glow(true)
	e.create('affixgear6').displayName('§dAncient Loot Bag').glow(true)
	
	//loot items
	e.create('delight_builder').displayName('§bBuilder\'s Order').tooltip('§eDrops a supply crate').tooltip('§4Warning: §eFragile Content').tooltip('§9§oOnly works in the Overworld')
})

events.listen('block.registry', function (e) {
  e.create('uninspiring_rainbow_block').displayName('§dRainbow Block').material('iron').hardness(2)
  e.create('reanimated_rainbow_block').displayName('§dAnimated Rainbow Catalyst').material('iron').hardness(2).lightLevel(1)
  
  //loot blocks
  e.create('lootblock_builder').displayName('§bBuilder\' Supply')
})
